package com.utcloud.cookengine.entity;

import java.util.ArrayList;

public class CookStepInfo{
    private String id;//步骤id
    private String time;//耗时
    int visibleStep;//是否可视步骤
    int visibleId;//显示步骤编号
    //步骤
    private ArrayList<CookOutputItem> output= new ArrayList<CookOutputItem>();;
    //触发器
    private ArrayList<CookTriggerItem> trigger= new ArrayList<CookTriggerItem>();;
    //食材、调料
    private ArrayList<CookIngredientItem> ingredient = new ArrayList<CookIngredientItem>();;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public int getVisibleStep() {
        return visibleStep;
    }

    public void setVisibleStep(int visibleStep) {
        this.visibleStep = visibleStep;
    }

    public int getVisibleId() {
        return visibleId;
    }

    public void setVisibleId(int visibleId) {
        this.visibleId = visibleId;
    }

    public ArrayList<CookOutputItem> getOutput() {
        return output;
    }

    public void setOutput(ArrayList<CookOutputItem> output) {
        this.output = output;
    }

    public ArrayList<CookTriggerItem> getTrigger() {
        return trigger;
    }

    public void setTrigger(ArrayList<CookTriggerItem> trigger) {
        this.trigger = trigger;
    }

    public ArrayList<CookIngredientItem> getIngredient() {
        return ingredient;
    }

    public void setIngredient(ArrayList<CookIngredientItem> ingredient) {
        this.ingredient = ingredient;
    }
}